VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
IStepValue Member List

This is the complete list of members for IStepValue, including all inherited members.

dynamicCast() const | Interface | inline
dynamicCast() | Interface | inline
getSteps() const =0 | IStepValue | pure virtual
Interface()=default | Interface |
Interface(const Interface &)=delete | Interface |
Interface(Interface &&)=delete | Interface |
InvalidStep | IStepValue | static
operator=(const Interface &)=delete | Interface |
operator=(Interface &&)=delete | Interface |
stepToValue(StepType step) const =0 | IStepValue | pure virtual
StepType typedef | IStepValue |
valueToStep(IValue::Type) const =0 | IStepValue | pure virtual
~Interface() noexcept | Interface | inline virtual